Public Member Functions | List of all members
clan::Line3 Class Reference
clanCore Math

3D line - Integer More...

`#include <line.h>`

Inheritance diagram for clan::Line3:

## Public Member Functions
| Line3 ()
| Line3 (const Line3x< int > &copy)
| Line3 (const Vec3< int > &point_p, const Vec3< int > &point_q)
Public Member Functions inherited from clan::Line3x< int >
| Line3x ()
| Line3x (const Line3x< int > &copy)
| Line3x (const Vec3< int > &point_p, const Vec3< int > &point_q)
Vec3< int > | get_intersection (const Line3x< int > &second, bool &intersect, intrange=(int) 0.5) const
| Return the intersection of this and other line. More...
Line3x< int > & | operator= (const Line3x< int > &copy)
| = operator. More...
bool | operator== (const Line3x< int > &line) const
| == operator. More...
bool | operator!= (const Line3x< int > &line) const
| != operator. More...

## Additional Inherited Members
Public Attributes inherited from clan::Line3x< int >
Vec3< int > | p
Vec3< int > | q

## Detailed Description

3D line - Integer

The documentation for this class was generated from the following file:

- line.h